VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros | Typedefs | Functions
testbase.h File Reference
`#include "pluginterfaces/test/itest.h"`
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "pluginterfaces/vst/ivstparameterchanges.h"`
`#include "pluginterfaces/vst/ivsttestplugprovider.h"`
`#include <atomic>`
`#include <cstdlib>`
`#include <string>`

## Classes
struct | TestingPluginContext
struct | TestDefaults
class | TestBase
| Test Helper. More...
class | TestEnh
| Test Helper. More...
class | ParamPoint
| AutomationTest helper classes. More...
class | ParamChanges
| AutomationTest helper classes: implementation of IParamValueQueue. More...
exception | StringResult

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Macros
#define | DECLARE_VSTTEST(name) const char* getName () const SMTG_OVERRIDE { return name; }

## Typedefs
using | ProcessSampleSize = int32

## Functions
void | addMessage (ITestResult *testResult, const std::u16string &str)
void | addMessage (ITestResult *testResult, const char *str)
void | addErrorMessage (ITestResult *testResult, const char *str)
void | addErrorMessage (ITestResult *testResult, const std::u16string &str)
std::u16string | printf (const char8 *format,...)

## Macro Definition Documentation

#define DECLARE_VSTTEST | ( |  | name | ) | const char* getName () const SMTG_OVERRIDE { return name; }

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.